Subject: Re: bug#11806: (setq load-path ..) of elisp-comp

From: Jack Kelly <[email-masked]>
Date: Fri, 6 Jul 2012 10:42:05 +1000

On Fri, Jul 6, 2012 at 7:57 AM, Stefano Lattarini
<[email-masked]> wrote:
> Usually I'd agree, and in fact I had done as you're suggesting in a
> previous attempt; but that caused the test 'lisp3.sh' to fail :-/
> With the patch I've posted, the testsuite remains clean at least.
>
> So I say we commit my patch: albeit suboptimal, and somewhat reeking
> of cargo-cult programming, it solves the OP issue.

I would like to have a crack at rewriting some of the elisp stuff, but
I can make no promises as to when that will actually happen. Therefore
I agree with you: commit the patch and we'll deal with the refactoring
if/when it arrives.

-- Jack